﻿Type=Class
Version=6.5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
Sub Class_Globals
	Private builder As JavaObject
	Private bc As ByteConverter
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(emulation As JavaObject)' emulation As Emulation )
	Dim jo As JavaObject
	jo.InitializeStatic("com.starmicronics.starioextension.StarIoExt")
	builder = jo.RunMethod("createCommandBuilder", Array As Object(emulation))
End Sub

Public Sub datX( text As String ) As Byte()
	Return bc.StringToBytes(text,"UTF8")
End Sub

Public Sub beginDocument()
	builder.RunMethod("beginDocument",Null)
End Sub

Public Sub endDocument()
	builder.RunMethod("endDocument",Null)
End Sub

Public Sub appendInitialization(initType As JavaObject)
	builder.RunMethod("appendInitialization",Array As Object(initType))
End Sub

Public Sub append( text As String )
	builder.RunMethod("append",Array As Object(datX(text)))
End Sub

Public Sub appendRaw( text As String )
	builder.RunMethod("appendRaw",Array As Object(text))
End Sub

Public Sub append2( data() As Byte )
	builder.RunMethod("append",Array As Object(data))
End Sub

Public Sub appendRaw2( data() As Byte )
	builder.RunMethod("appendRaw",Array As Object(data))
End Sub

Public Sub appendFontStyle(fontStyleType As JavaObject)
	builder.RunMethod("appendFontStyle",Array As Object(fontStyleType))
End Sub

Public Sub appendCodePage(codePageType As JavaObject )
	builder.RunMethod("appendCodePage",Array As Object(codePageType))
End Sub

Public Sub appendInternational(internationalType As JavaObject )
	builder.RunMethod("appendInternational",Array As Object(internationalType))
End Sub

Public Sub appendLineFeed( )
	builder.RunMethod("appendLineFeed",Null)
End Sub

Public Sub appendLineFeed2( lines As Int )
	builder.RunMethod("appendLineFeed",Array As Object(lines))
End Sub

Public Sub appendLineFeed3( data() As Byte, lines As Int )
	builder.RunMethod("appendLineFeed",Array As Object(data,lines))
End Sub

Public Sub appendUnitFeed( lines As Int )
	builder.RunMethod("appendUnitFeed",Array As Object(lines))
End Sub

Public Sub appendUnitFeed2( data() As Byte, lines As Int )
	builder.RunMethod("appendUnitFeed",Array As Object(data,lines))
End Sub

Public Sub appendCharacterSpace(characterSpaces As Int)
	builder.RunMethod("appendCharacterSpace",Array As Object(characterSpaces))
End Sub

Public Sub appendLineSpace(lineSpaces As Int)
	builder.RunMethod("appendLineSpace",Array As Object(lineSpaces))
End Sub

Public Sub appendEmphasis(emphasis As Boolean)
	builder.RunMethod("appendEmphasis",Array As Object(emphasis))
End Sub

Public Sub appendEmphasis2(data() As Byte)
	builder.RunMethod("appendEmphasis",Array As Object(data))
End Sub

Public Sub appendInvert(invert As Boolean)
	builder.RunMethod("appendInvert",Array As Object(invert))
End Sub

Public Sub appendInvert2(data() As Byte)
	builder.RunMethod("appendInvert",Array As Object(data))
End Sub

Public Sub appendMultiple(width As Int, height As Int)
	builder.RunMethod("appendMultiple",Array As Object(width,height))
End Sub

Public Sub appendMultipleHeight(height As Int)
	builder.RunMethod("appendMultipleHeight",Array As Object(height))
End Sub

Public Sub appendMultipleWidth(width As Int)
	builder.RunMethod("appendMultipleWidth",Array As Object(width))
End Sub

Public Sub appendUnderLine(underline As Boolean)
	builder.RunMethod("appendUnderLine",Array As Object(underline))
End Sub

Public Sub appendUnderLine2(data() As Byte)
	builder.RunMethod("appendUnderLine",Array As Object(data))
End Sub

Public Sub appendLogo( logoSize As JavaObject, logoNumber As Int)
	builder.RunMethod("appendLogo",Array As Object(logoSize,logoNumber))
End Sub

Public Sub appendAbsolutePosition( position As Int)
	builder.RunMethod("appendAbsolutePosition",Array As Object(position))
End Sub

public Sub appendAlignment( alignmentPosition As JavaObject )
	builder.RunMethod("appendAlignment",Array As Object(alignmentPosition))
End Sub

public Sub appendAlignment2( data() As Byte, alignmentPosition As JavaObject )
	builder.RunMethod("appendAlignment",Array As Object(data,alignmentPosition))
End Sub

public Sub appendCutPaper( cutPaperAction As JavaObject )
	builder.RunMethod("appendCutPaper",Array As Object(cutPaperAction))
End Sub

public Sub appendSound( soundChannel As JavaObject )
	builder.RunMethod("appendSound",Array As Object(soundChannel))
End Sub

public Sub appendSound2( soundChannel As JavaObject, repeat As Int )
	builder.RunMethod("appendSound",Array As Object(soundChannel,repeat))
End Sub

Public Sub appendBarcode( data() As Byte, barcodeSymbology As JavaObject, barcodeWidth As JavaObject, height As Int, hri As Boolean)
	builder.RunMethod("appendBarcode",Array As Object(data,barcodeSymbology,barcodeWidth,height,hri))
End Sub

Public Sub appendBarcodeWithAbsolutePosition( data() As Byte, barcodeSymbology As JavaObject, barcodeWidth As JavaObject, height As Int, hri As Boolean, position As Int)
	builder.RunMethod("appendBarcodeWithAbsolutePosition",Array As Object(data,barcodeSymbology,barcodeWidth,height,hri,position))
End Sub

Public Sub appendBarcodeWithAlignment( data() As Byte, barcodeSymbology As JavaObject, barcodeWidth As JavaObject, height As Int, hri As Boolean, alignmentPosition As JavaObject)
	builder.RunMethod("appendBarcodeWithAlignment",Array As Object(data,barcodeSymbology,barcodeWidth,height,hri,alignmentPosition))
End Sub

Public Sub appendPdf417(data() As Byte, lines As Int, columns As Int, pdf417SecurityLevel As JavaObject, moduleXSize As Int, aspectRatio As Int)
	builder.RunMethod("appendPdf417",Array As Object(data,lines,columns,pdf417SecurityLevel,moduleXSize,aspectRatio))
End Sub

Public Sub appendPdf417WithAbsolutePosition(position As Int, data() As Byte, lines As Int, columns As Int, pdf417SecurityLevel As JavaObject, moduleXSize As Int, aspectRatio As Int)
	builder.RunMethod("appendPdf417WithAbsolutePosition",Array As Object(position,data,lines,columns,pdf417SecurityLevel,moduleXSize,aspectRatio))
End Sub

Public Sub appendPdf417WithAlignment(alignmentPosition As JavaObject, data() As Byte, lines As Int, columns As Int, pdf417SecurityLevel As JavaObject, moduleXSize As Int, aspectRatio As Int)
	builder.RunMethod("appendPdf417WithAlignment",Array As Object(alignmentPosition,data,lines,columns,pdf417SecurityLevel,moduleXSize,aspectRatio))
End Sub

Public Sub appendQrCode( data() As Byte, qrCodeModel As JavaObject, qrCodeLevel As JavaObject, cell As Int)
	builder.RunMethod("appendQrCode",Array As Object(data,qrCodeModel,qrCodeLevel,cell))
End Sub

Public Sub appendQrCodeWithAbsolutePosition( position As Int, data() As Byte, qrCodeModel As JavaObject, qrCodeLevel As JavaObject, cell As Int)
	builder.RunMethod("appendQrCodeWithAbsolutePosition",Array As Object(position, data,qrCodeModel,qrCodeLevel,cell))
End Sub

Public Sub appendQrCodeWithAlignment( alignmentPosition As JavaObject, data() As Byte, qrCodeModel As JavaObject, qrCodeLevel As JavaObject, cell As Int)
	builder.RunMethod("appendQrCodeWithAlignment",Array As Object(alignmentPosition, data,qrCodeModel,qrCodeLevel,cell))
End Sub

Public Sub appendBitmap(bitmap As Bitmap, diffusion As Boolean)
	builder.RunMethod("appendBitmap",Array As Object(bitmap,diffusion))
End Sub

Public Sub appendBitmap2(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean)
	builder.RunMethod("appendBitmap",Array As Object(bitmap,diffusion,width,bothScale))
End Sub

Public Sub appendBitmap3(bitmap As Bitmap, diffusion As Boolean, bitmapConverterRotation As JavaObject)
	builder.RunMethod("appendBitmap",Array As Object(bitmap,diffusion,bitmapConverterRotation))	
End Sub

Public Sub appendBitmap4(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean, bitmapConverterRotation As JavaObject)
	builder.RunMethod("appendBitmap",Array As Object(bitmap,diffusion,width,bothScale,bitmapConverterRotation))
End Sub

Public Sub appendBitmapWithAbsolutePosition(bitmap As Bitmap, diffusion As Boolean, position As Int)
	builder.RunMethod("appendBitmapWithAbsolutePosition",Array As Object(bitmap,diffusion,position))
End Sub

Public Sub appendBitmapWithAbsolutePosition2(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean, position As Int)
	builder.RunMethod("appendBitmapWithAbsolutePosition",Array As Object(bitmap,diffusion,width,bothScale,position))
End Sub

Public Sub appendBitmapWithAbsolutePosition3(bitmap As Bitmap, diffusion As Boolean, bitmapConverterRotation As JavaObject, position As Int)
	builder.RunMethod("appendBitmapWithAbsolutePosition",Array As Object(bitmap,diffusion,bitmapConverterRotation,position))
End Sub

Public Sub appendBitmapWithAbsolutePosition4(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean, bitmapConverterRotation As JavaObject, position As Int)
	builder.RunMethod("appendBitmapWithAbsolutePosition",Array As Object(bitmap,diffusion,width,bothScale,bitmapConverterRotation,position))
End Sub

Public Sub appendBitmapWithAlignment(bitmap As Bitmap, diffusion As Boolean, alignmentPosition As JavaObject)
	builder.RunMethod("appendBitmapWithAlignment",Array As Object(bitmap,diffusion,alignmentPosition))
End Sub

Public Sub appendBitmapWithAlignment2(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean, alignmentPosition As JavaObject)
	builder.RunMethod("appendBitmapWithAlignment",Array As Object(bitmap,diffusion,width,bothScale,alignmentPosition))
End Sub

Public Sub appendBitmapWithAlignment3(bitmap As Bitmap, diffusion As Boolean, bitmapConverterRotation As JavaObject, alignmentPosition As JavaObject)
	builder.RunMethod("appendBitmapWithAlignment",Array As Object(bitmap,diffusion,bitmapConverterRotation,alignmentPosition))
End Sub

Public Sub appendBitmapWithAlignment4(bitmap As Bitmap, diffusion As Boolean, width As Int, bothScale As Boolean, bitmapConverterRotation As JavaObject, alignmentPosition As JavaObject)
	builder.RunMethod("appendBitmapWithAlignment",Array As Object(bitmap,diffusion,width,bothScale,bitmapConverterRotation,alignmentPosition))
End Sub

Public Sub appendBlackMark( blackMarkType As JavaObject)
	builder.RunMethod("appendBlackMark",Array As Object(blackMarkType))
End Sub

Public Sub beginPageMode( rect As Rect, bitmapConverterRotation As JavaObject)
	builder.RunMethod("beginPageMode",Array As Object(rect,bitmapConverterRotation))
End Sub

Public Sub endPageMode( )
	builder.RunMethod("endPageMode",Null)
End Sub

public Sub appendPageModeVerticalAbsolutePosition(position As Int)
	builder.RunMethod("appendPageModeVerticalAbsolutePosition",Array As Object(position))
End Sub

public Sub appendPageModeRotation(bitmapConverterRotation As JavaObject)
	builder.RunMethod("appendPageModeRotation",Array As Object(bitmapConverterRotation))
End Sub

Public Sub getCommands As Byte()
	Return builder.RunMethod("getCommands",Null)
End Sub

